/*




 
  __  __  __  __    
/\ \/\ \/\ \/\ \   
\ \ \ \ \ \ \ \ \  
 \ \ \ \ \ \ \ \ \ 
  \ \ \_/ \ \ \_/ \
   \ `\___/\ `\___/
    `\/__/  `\/__/                                 





*/

@font-face {
  font-family: 'reader';
  font-style: normal;
  font-weight: normal;
  src: url('../fonts/reader.woff2') format('woff2');
  font-display: block;
}

*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: #F7F6F2;
  color: #989898;
  font: 400 16px/1.5em 'reader', sans-serif;
  text-rendering: optimizeLegibility;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
  min-height: 100svh;
  display: grid;
  place-items: center;
}

a, a:link, a:visited {
  text-decoration: none;
  outline: none;
  color: #989898;
  -webkit-tap-highlight-color: transparent;
  position: relative;
}

a::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: -2px;
  left: 0;
  background: #C7C7C7;
  transform-origin: left;
  transform: scaleX(0);
  transition: transform 0.25s ease-in-out;
}

a:hover::after {
  transform-origin: left;
  transform: scaleX(1);
}

a:not(:hover)::after {
  transform-origin: right;
  transition: transform 0.25s ease-in-out;
}

a:hover, a:active {
  text-decoration: none;
  outline: none;
  color: #989898;
  -webkit-tap-highlight-color: transparent;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
  height: auto;
  border: 0;
}

input, button, textarea, select {
  font: inherit;
}

p {
  margin-top: 16px;
  margin-bottom: 16px;
  overflow-wrap: break-word;
  text-wrap: pretty;
}

ul, li {
  list-style: none;
  padding: 0;
}

.note {
  font: 400 20px/1.5em 'reader', sans-serif;
  color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  background-image: linear-gradient(to left, #099EF1 0%, #6863F8 16.67%, #D84FFA 33.33%, #F058C5 50%, #FF4F90 66.67%, #FF6558 83.33%, #FF891F 100%);
}

::selection {
  background: #275EFE;
  color: #FFFFFF;
}